#
# spec file for package dante (Version 1.1.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dante
Summary:      A free Socks v4/v5 client implementation
%define prefix /usr
Version:      1.1.10
Release:      26
Copyright: BSD type, Copyright (c) 1998, 1999 Inferno Nettverk A/S, Norway. All rights reserved.
URL: http://www.inet.no/dante/
Source: ftp://ftp.inet.no/pub/socks/dante-%{version}.tar.gz
Source1:	sockd.init
# Patch: dante-%{version}.dif
BuildRoot:    /var/tmp/%{name}-BUILD
Group: Applications/Networking
# SuSE series: sec

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.
This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

Authors:
--------
    For Inferno Nettverk A/S, Norway:
    Michael Shuldman <michaels@inet.no>: Design and implementation.
    Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

SuSE series: sec

%package -n dante-server
Provides: 	dantesrv
Obsoletes:	dantesrv
Summary:      A free Socks v4/v5 server implementation
Group: Networking/Daemons
Requires: dante

%description -n dante-server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

Authors:
--------
    For Inferno Nettverk A/S, Norway:
    Michael Shuldman <michaels@inet.no>: Design and implementation.
    Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

SuSE series: sec

%package -n dante-devel
Provides:       dantedev
Obsoletes:      dantedev
Summary:      development libraries for socks
Group: Development/Libraries
Requires: dante

%description -n dante-devel
Additional libraries required to compile programs that use socks.

Authors:
--------
    For Inferno Nettverk A/S, Norway:
    Michael Shuldman <michaels@inet.no>: Design and implementation.
    Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

SuSE series: sec

%prep
%setup
# %patch
# This files are embedded here instead of being another source in order
# to the prefix directory
cat >rc.config.sockd <<EOFF
#
# Should the DANTE/sockd be started at bootup? (yes/no)
#
START_SOCKD="no"
EOFF

%build
autoconf
CFLAGS="${RPM_OPT_FLAGS}" 		\
./configure 	--prefix=%{prefix} 	\
		--mandir=%{_mandir}	\
	 	--sysconfdir=/etc
make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make install DESTDIR=${RPM_BUILD_ROOT}
#set library as executable - prevent ldd from complaining
chmod +x ${RPM_BUILD_ROOT}%{prefix}/lib/*.so.*.*
install -d 	${RPM_BUILD_ROOT}/etc/init.d \
	   	${RPM_BUILD_ROOT}%{prefix}/bin \
	   	${RPM_BUILD_ROOT}%{prefix}/usr/sbin \
		${RPM_BUILD_ROOT}/var/adm/fillup-templates
install -m 644 example/socks.conf ${RPM_BUILD_ROOT}/etc
install -m 644 example/sockd.conf ${RPM_BUILD_ROOT}/etc
install -m 755 %{S:1}	 	${RPM_BUILD_ROOT}/etc/init.d/sockd
install -m 755 rc.config.sockd 	${RPM_BUILD_ROOT}/var/adm/fillup-templates/rc.config.sockd
ln -sf          ../../etc/init.d/sockd	${RPM_BUILD_ROOT}/usr/sbin/rcsockd

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%post -n dante-server
sbin/insserv etc/init.d/sockd
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.sockd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.sockd and"
  echo "update by hand."
fi

%postun -n dante-server
sbin/insserv etc/init.d/

%files
%defattr(-,root,root)
#files beginning with two capital letters are docs: BUGS, README.foo etc.
%doc [A-Z][A-Z]*
%{prefix}/lib/libsocks.so.0.1.0
%{prefix}/lib/libsocks.so.0
%{prefix}/lib/libsocks.so
%{prefix}/lib/libdsocks.so.0.1.0
%{prefix}/lib/libdsocks.so.0
%{prefix}/lib/libdsocks.so
%{prefix}/bin/socksify
%{_mandir}/man5/socks.conf.5.gz
%config /etc/socks.conf

%files -n dante-server
%doc [A-Z][A-Z]*
%defattr(-,root,root)
%{_mandir}/man8/sockd.8.gz
%{_mandir}/man5/sockd.conf.5.gz
%{prefix}/sbin/sockd
%config /etc/sockd.conf
/etc/init.d/sockd
/usr/sbin/rcsockd
/var/adm/fillup-templates/rc.config.sockd

%files -n dante-devel
%doc [A-Z][A-Z]*
%{prefix}/include/*.h
%{prefix}/lib/libsocks.la
%{prefix}/lib/libsocks.a
%{prefix}/lib/libdsocks.la

%changelog -n dante
* Sun Aug 26 2001 - mge@suse.de
- updated to 1.1.10: let client-rules have their own global
  methodline, "clientmethod", default value set to "none".
  The global "method" is only used for socks-rules now.
- added include files			  (bug #7745)
- fixed /etc/init.d/sockd status-handling (bug #9415)
* Fri Mar 30 2001 - mge@suse.de
- update to 1.1.9
* Mon Dec 04 2000 - mge@suse.de
- update to 1.1.6, new /etc/init.d handling, long RPM names
* Wed Nov 22 2000 - uli@suse.de
- fixed to build
* Thu Jul 13 2000 - mge@suse.de
- added symlinks to /etc/rc.d/rc2.d /etc/rc.d/rc3.d
* Fri Jul 07 2000 - mge@suse.de
- updated sockd.init
* Wed Jul 05 2000 - mge@suse.de
- initial SuSE package
